add_idle
add_read
add_timeout
add_write
bgloop
default
endloop
fgloop
have_ssl
iteration
log
log_date
log_output
lookup
makestr
modulename
remove_idle
remove_read
remove_timeout
remove_write
set_log_output
wrap

## wrap()

def network.wrap | ( |  | i,
|  |  | o = `None`
| ) |  |

Wrap two files into a fake socket.

This function wraps an input and an output file (which may be the same) into a Socket object.

Parameters

  i | input file.
  o | output file.

Definition at line 181 of file network.py.